Loading...
Searching...
No Matches
{un,or}g2l: step in ungql
LAPACK » Orthogonal/unitary factors (QR, CS, etc.) » QL
Collaboration diagram for {un,or}g2l: step in ungql:

## Functions

subroutine | cung2l (m, n, k, a, lda, tau, work, info)
| CUNG2L generates all or part of the unitary matrix Q from a QL factorization determined by cgeqlf (unblocked algorithm).
subroutine | dorg2l (m, n, k, a, lda, tau, work, info)
| DORG2L generates all or part of the orthogonal matrix Q from a QL factorization determined by sgeqlf (unblocked algorithm).
subroutine | sorg2l (m, n, k, a, lda, tau, work, info)
| SORG2L generates all or part of the orthogonal matrix Q from a QL factorization determined by sgeqlf (unblocked algorithm).
subroutine | zung2l (m, n, k, a, lda, tau, work, info)
| ZUNG2L generates all or part of the unitary matrix Q from a QL factorization determined by cgeqlf (unblocked algorithm).

## Detailed Description